#ifndef SORT_H
#define SORT_H

#include <stdbool.h>

typedef bool(*criteria_cb)(int a, int b);

/* sort criteria */
bool ascending(int a, int b);
bool descending(int a, int b);

void sort_array(int* array, int length, criteria_cb criteria);

#endif /* SORT_H */
